package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.File;
import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 4.营业执照上传接口
 * @class: BusinessLicenseUploadReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:22
 */
@Data
public class Nft004BusinessLicenseUploadReqDto implements Serializable {
    /**
     * 营业执照图片，不超过5M，jpg或png格式
     */
    private File file;

    private String mobile;

    private String verifyCode;

    private static final Nft004BusinessLicenseUploadReqDto obj = new Nft004BusinessLicenseUploadReqDto();
    private static final long serialVersionUID = 441808669924744187L;

    public static Nft004BusinessLicenseUploadReqDto getNew() {
        try {
            return (Nft004BusinessLicenseUploadReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft004BusinessLicenseUploadReqDto();
        }
    }
}
